#pragma once

#include "CoreMinimal.h"
#include "UserSettingsBaseEditorData.h"
#include "EKeyBindingsType.h"
#include "UserSettingsInputKeyBindingEditorData.generated.h"

USTRUCT(BlueprintType)
struct FUserSettingsInputKeyBindingEditorData : public FUserSettingsBaseEditorData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere)
	EKeyBindingsType KeyBindingType;

public:
	DEADBYDAYLIGHT_API FUserSettingsInputKeyBindingEditorData();
};

FORCEINLINE uint32 GetTypeHash(const FUserSettingsInputKeyBindingEditorData) { return 0; }
